package ru.yandex.webmaster3.core.digest.graphics.draw;

import org.springframework.beans.factory.annotation.Required;

/**
 * Created by ifilippov5 on 29.10.17.
 */
public class ChartSettings {
    private int chartWidth;
    private int chartHeight;
    private String backgroundColor;
    private String gridColor;
    private String undertextColor;
    private String pastSeriesColor;
    private String currentSeriesColor;
    private String labelFontSize;
    private String labelFontFamily;
    private int labelHeight;
    private int labelRx;
    private int labelRy;
    private double strokeWidth;

    public int getChartWidth() {
        return chartWidth;
    }

    public int getChartHeight() {
        return chartHeight;
    }

    public String getBackgroundColor() {
        return backgroundColor;
    }

    public String getGridColor() {
        return gridColor;
    }

    public String getUndertextColor() {
        return undertextColor;
    }

    public String getPastSeriesColor() {
        return pastSeriesColor;
    }

    public String getCurrentSeriesColor() {
        return currentSeriesColor;
    }

    public String getLabelFontSize() {
        return labelFontSize;
    }

    public String getLabelFontFamily() {
        return labelFontFamily;
    }

    public int getLabelHeight() {
        return labelHeight;
    }

    public int getLabelRx() {
        return labelRx;
    }

    public int getLabelRy() {
        return labelRy;
    }

    public double getStrokeWidth() {
        return strokeWidth;
    }

    @Required
    public void setChartWidth(int chartWidth) {
        this.chartWidth = chartWidth;
    }

    @Required
    public void setChartHeight(int chartHeight) {
        this.chartHeight = chartHeight;
    }

    @Required
    public void setBackgroundColor(String backgroundColor) {
        this.backgroundColor = backgroundColor;
    }

    @Required
    public void setGridColor(String gridColor) {
        this.gridColor = gridColor;
    }

    @Required
    public void setUndertextColor(String undertextColor) {
        this.undertextColor = undertextColor;
    }

    @Required
    public void setPastSeriesColor(String pastSeriesColor) {
        this.pastSeriesColor = pastSeriesColor;
    }

    @Required
    public void setCurrentSeriesColor(String currentSeriesColor) {
        this.currentSeriesColor = currentSeriesColor;
    }

    @Required
    public void setLabelFontSize(String labelFontSize) {
        this.labelFontSize = labelFontSize;
    }

    @Required
    public void setLabelFontFamily(String labelFontFamily) {
        this.labelFontFamily = labelFontFamily;
    }

    @Required
    public void setLabelHeight(int labelHeight) {
        this.labelHeight = labelHeight;
    }

    @Required
    public void setLabelRx(int labelRx) {
        this.labelRx = labelRx;
    }

    @Required
    public void setLabelRy(int labelRy) {
        this.labelRy = labelRy;
    }

    @Required
    public void setStrokeWidth(double strokeWidth) {
        this.strokeWidth = strokeWidth;
    }
}
